SessionTrackingMode (Servlet 6.0 API Documentation - Apache Tomcat 10.1.57)
Description: declaration: package: jakarta.servlet, enum: SessionTrackingMode

# Enum SessionTrackingMode

java.lang.Object
java.lang.Enum<SessionTrackingMode>
jakarta.servlet.SessionTrackingMode

All Implemented Interfaces:
  `Serializable, Comparable<SessionTrackingMode>, java.lang.constant.Constable`

public enum SessionTrackingMode extends Enum<SessionTrackingMode>
Defines the permitted options for configuring the session tracking mode.

Since:
  Servlet 3.0

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class Enum

  `Enum.EnumDesc<E>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `COOKIE`
  Use HTTP cookies.
  `SSL`
  Use SSL session.
  `URL`
  Use url rewriting (also known as path parameter)

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static SessionTrackingMode`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static SessionTrackingMode[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### COOKIE

    public static final SessionTrackingMode COOKIE
    Use HTTP cookies.

  - ### URL

    public static final SessionTrackingMode URL
    Use url rewriting (also known as path parameter)

  - ### SSL

    public static final SessionTrackingMode SSL
    Use SSL session.

- ## Method Details

  - ### values

    public static SessionTrackingMode[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static SessionTrackingMode valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null